Package ru.bitel.bgbilling.modules.bill.server.bean

# Class DataExtractor

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.bill.server.bean.DataExtractor

Direct Known Subclasses:
  `Account`, `Counter`, `Extractor`

public class DataExtractor extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataExtractor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BigDecimal`
  `getAmount(Connection con, String table, String col, List<String> paramList, Calendar month, String cids)`
  `protected BigDecimal`
  `getAmount(Connection con, String table, String col, List<String> paramList, Calendar month, String cids, String filter)`
  `protected BigDecimal`
  `getAmount(Connection con, String table, String col, List<String> paramList, Calendar month, String cids, String filter, String cidFieldName, String sidFieldName)`
  `protected long`
  `getCountFromTable(Connection con, String tableName, String cids, Calendar month, String filter)`
  `protected long`
  `getCountFromTable(Connection con, String tableName, String cids, Calendar month, String filter, String cidFieldName, String date1Field, String date2Field)`
  `protected BigDecimal`
  `getCountSession(Connection con, String table, List<String> paramList, Calendar month, String cids, String filter)`
  `protected BigDecimal`
  `getCountSession(Connection con, String table, List<String> paramList, Calendar month, String cids, String filter, String cidFieldName, String sidFieldName)`
  `protected String`
  `getIdsFromEnd(int posFrom, List<String> paramList)`
  `protected int`
  `getIntParam(List<String> paramList, int pos)`
  `protected Calendar`
  `getMonthParam(Calendar month, List<String> paramList, int pos)`
  `protected BigDecimal`
  `getSumFromTable(Connection con, String tableName, String col, String cids, String sids, String filter, String cidFieldName, String sidFieldName)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataExtractor

    public DataExtractor()

- ## Method Details

  - ### getIntParam

    protected int getIntParam(List<String> paramList, int pos)

  - ### getMonthParam

    protected Calendar getMonthParam(Calendar month, List<String> paramList, int pos)

  - ### getIdsFromEnd

    protected String getIdsFromEnd(int posFrom, List<String> paramList)

  - ### getSumFromTable

    protected BigDecimal getSumFromTable(Connection con, String tableName, String col, String cids, String sids, String filter, String cidFieldName, String sidFieldName) throws SQLException
    Throws:
      `SQLException`

  - ### getCountFromTable

    protected long getCountFromTable(Connection con, String tableName, String cids, Calendar month, String filter) throws SQLException
    Throws:
      `SQLException`

  - ### getCountFromTable

    protected long getCountFromTable(Connection con, String tableName, String cids, Calendar month, String filter, String cidFieldName, String date1Field, String date2Field) throws SQLException
    Throws:
      `SQLException`

  - ### getAmount

    protected BigDecimal getAmount(Connection con, String table, String col, List<String> paramList, Calendar month, String cids)

  - ### getAmount

    protected BigDecimal getAmount(Connection con, String table, String col, List<String> paramList, Calendar month, String cids, String filter)

  - ### getAmount

    protected BigDecimal getAmount(Connection con, String table, String col, List<String> paramList, Calendar month, String cids, String filter, String cidFieldName, String sidFieldName)

  - ### getCountSession

    protected BigDecimal getCountSession(Connection con, String table, List<String> paramList, Calendar month, String cids, String filter)

  - ### getCountSession

    protected BigDecimal getCountSession(Connection con, String table, List<String> paramList, Calendar month, String cids, String filter, String cidFieldName, String sidFieldName)